# download_manager.py
import os


class DownloadManager:
    def __init__(self, download_data_path):
        self.download_data_path = download_data_path

    def is_downloaded(self, fileName):
        if not os.path.exists(self.download_data_path):
            return False
        with open(self.download_data_path, 'r', encoding='utf-8') as file:
            downloaded_files = file.readlines()
        downloaded_files = [line.strip() for line in downloaded_files]
        return fileName in downloaded_files

    def record_download(self, filename):
        with open(self.download_data_path, 'a', encoding='utf-8') as file:
            file.write(filename + "\n")
